##### windows::basic_random_access_handle::basic_random_access_handle (3 of 5 overloads)

Construct a random-access handle on an existing native handle.

    basic_random_access_handle(
        const executor_type & ex,
        const native_handle_type & handle);

This constructor creates a random-access handle object to hold an existing native handle.

###### Parameters

ex

  The I/O executor that the random-access handle will use, by default, to dispatch handlers for any asynchronous operations performed on the random-access handle.

handle

  The new underlying handle implementation.

###### Exceptions

asio::system_error

  Thrown on failure.